package com.ruoyi.warehouse.domain;

import jakarta.validation.constraints.NotBlank;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

public class WarehouseArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "库区ID")
    private Long id;

    private String areaCode;

    @Excel(name = "库区名称")
    private String areaName;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getAreaCode()
    {
        return areaCode;
    }

    public void setAreaCode(String areaCode)
    {
        this.areaCode = areaCode;
    }

    @NotBlank(message = "库区名称不能为空")
    public String getAreaName()
    {
        return areaName;
    }

    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }
}
